Subject: bug#47879: [PATCH] Ignore mode hooks when analysing diffs

From: Stefan Kangas <[email-masked]>
Date: Wed, 21 Apr 2021 09:12:45 -0500

Philip Kaludercic <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Philip Kaludercic <[email-masked]>
>>> Date: Sun, 18 Apr 2021 19:08:01 +0000
>>>
>>> This fixes a bug related to log-edit-generate-changelog-from-diff.
>>>
>>> When I tried to invoke this command in a commit buffer, the error
>>>
>>>      signal: Unmatched bracket or quote
>>>
>>> was raised. The reason was that I added paredit-mode to
>>> emacs-lisp-mode-hook, that when invoked calls check-parens. This raises
>>> an error when the diff contains a partial s-expression, which is almost
>>> always the case.
>>>
>>> The least invasive approach I could come up with was to defer the mode
>>> hooks.
>>
>> I rather think that the bug is either in the hook you added or in
>> paredit-mode, and should be solved there.
>
> Ok, I'll try that too.

So is this a notabug or a wontfix, or is there more to do here?